using FluentValidation;
using Hotline.Share.Dtos.Order;

namespace DataSharing.Validators.XieTong
{
    public class ScreenCaseInfoSendInfoValidator : AbstractValidator<PublishScreenDto>
    {
        public ScreenCaseInfoSendInfoValidator()
        {
            RuleFor(d => d.Order.ProvinceNo).NotEmpty();
            RuleFor(d => d.Order.AreaCode).NotEmpty();
            RuleFor(d => d.Screen.CreatorName).NotEmpty();
            RuleFor(d => d.Screen.CreationTime).NotEmpty();
            RuleFor(d => d.Screen.CreatorOrgName).NotEmpty();
            RuleFor(d => d.Screen.Content).NotEmpty();
        }
    }
}
